package com.cloudcross.ssp.service.impl;

import java.util.HashMap;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.cloudcross.ssp.base.dao.GenericIBatisDao;
import com.cloudcross.ssp.common.utils.MapBuilder;
import com.cloudcross.ssp.model.AdgroupZone;
import com.cloudcross.ssp.service.IAdgroupZoneService;



@Service
public class AdgroupZoneService implements IAdgroupZoneService {
	@Autowired
	private GenericIBatisDao myBatisDao;
	
	public void saveAdgroupZone(AdgroupZone adgroupZone,List<Long>zoneIdList){
		myBatisDao.save("adgroupZoneSqlMapper.addAdgroupZoneBatch",MapBuilder.create(HashMap.class)
				.add("zoneIdList",zoneIdList)
				.add("adgroupZone",adgroupZone)
				.map());
	}

	

}
